<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Insert title here</title>
<link rel="stylesheet" href="../css/my.jquery.mobile.css" />
<!--<script language="javascript" type="text/javascript" src="../js/jquery-1.6.2.js"></script>-->
<!--<script language="javascript" type="text/javascript" src="../js/jquery.mobile-1.0b2.js"></script>-->
<script src="http://code.jquery.com/jquery-1.6.2.min.js"></script>
<script src="http://code.jquery.com/mobile/1.0b2/jquery.mobile-1.0b2.min.js"></script>
<script language="javascript" type="text/javascript" src="../js/flot/jquery.flot.js"></script>

<style type="text/css">
body{
font-size: 0.9em;
}
.header {
	min-height: 3em;
}
.header .label {
	line-height:3em;
	padding: 0em 1em 0em 1em;
}

.header #label3 {
	color: #b1c9eb;
}

.text-red {
	color: #ff8040;
}

.text-green {
	color: #e0de98;
}

.content {
	font-size: 1em;
	margin: 20px;
}

#debug {
	position: absolute;
	top: 20%;
	left: 10%;
	padding: 1em;
	background: #cfe7e7;
	border: solid 1px #81c0c0;
}

.ui-select {
	width: 20%;
}
</style>
<script language="javascript" type="text/javascript">
	var alreadyLoaded = false;
	var showBars = false;
	var chartData = false;
	$(document).ready(function() {
		setChartType();
		runAjax("");
		$( "#select-choice-1" ).bind( "change", function(event, ui) {
			runAjax('?favourite='+ $(this).val());
		});
	});
	function setChartType(type){
		switch (type) {
		case "lines":
			showBars = false;
			break;
		case "bars":
			showBars = true;
			break;
		default:
			if(showBars) $("#bars").addClass('ui-btn-active');
			else $("#lines").addClass('ui-btn-active');
			break;
		}
	}
	function runAjax(get){
		$.getJSON('../php/ajax.php'+get, function(data) {
			$.each(data, function(key, val) {
//				debug(val);
				eval(key + "('" + val + "');");
			});
		}).success(function() { setChartSize();renderChart(); })
		.error(function() { alert("error"); });
	}
	function setHeaderLabel1(data){
		$('#label1').text(data);
	}
	function setHeaderLabel2(data) {
		if(parseFloat(data)<50){
			$('#label2').addClass('text-red');
			$('#label2').removeClass('text-green');
		}
		else{
			$('#label2').addClass('text-green');
			$('#label2').removeClass('text-red');
		}
		$('#label2').text(data);
	}
	function setHeaderLabel3(data) {
		$('#label3').text(data);
	}
	function setChartData(data){
		chartData = [$.parseJSON(data)];
		
	}
	function renderChart(){
		options={
					xaxis: { mode: "time" },
				  	bars: { show: showBars }
			  	};
		$.plot($("#placeholder"),chartData,options);
	}
	function setFavourites(data){
		if(!alreadyLoaded){
			data = $.parseJSON(data);
			$("#select-choice-1").children().remove();
			$.each(data, function(key, val) {
				$("#select-choice-1").append("<option value='"+key+"'>"+val+"</option>");
			});
			$("select option[value='getHour']").attr('selected',true);
			$('select').selectmenu('refresh', true);
			alreadyLoaded=true;
		}
	}
	function setChartSize(){
		//Diagrammhhe = Fensterhhe - Hhe (Footer und Header)
		var height = $(window).height()-$(".footer").height()-$(".header").height();
		debug($('.content').css('margin'));
		$("#placeholder").css("width",$('.content').width());
		$("#placeholder").css("height",height-60);
	}
	function debug(text,clear) {
		if(clear)$("#debug").text("");
		$("#debug").append("<br/> " + text);
	}
</script>
</head>
<body>
	<div data-role="header" data-position="fixed" class="header">
		<span class="label">Zeitraum: <span class="label" id="label1"></span> </span>
		<span class="label">Letzter Messwert: <span class="label" id="label2"></span> </span>
		<span class="label"><span class="label" id="label3"></span> </span>
		<span class="label"><span class="label" id="label4"></span> </span>
		<a href="#" data-icon="gear" class="ui-btn-right">Options</a>
	</div>
	<div class="content">
		<div id="placeholder" style="width: 100%;"></div>
		<div id="debug" style="visibility:vissible;">
			Debugging
			<?php
			?>
		</div>
	</div>
<div data-role="footer" style="z-index: 99;" class="ui-bar footer" data-position="fixed">
		<label style="width: auto;" for="select-choice-1" class="select">Zeitspanne:</label> <select data-native-menu="false"
			name="select-choice-1" id="select-choice-1">
		</select> <span id="chart-types" data-iconpos="left" data-role="navbar" data-type="horizontal"> <a href="#"
			onClick="setChartType('lines');renderChart();" id="lines" data-icon="delete">Lines</a> <a href="#"
			onClick="setChartType('bars');renderChart();" id="bars" data-icon="plus">Bars</a> </span>
	</div>
</body>
</html>
